#ifndef _PUZZLE_H_
#define _PUZZLE_H_

/* constraints */
#define CUBE        0    /* 1 arg: cube for which next contraints are defined */
#define TOUCH       1    /* 1 arg: which cube it touches */
#define ALIGNED     2    /* 2 args: which cubes it is aligned to */
#define NOT_ALIGNED 3    /* 2 args: which cubes it is not aligned to */

/* NORMALIZE must come first */
#define NORMALIZE   10   /* 3 args: points at (0,0,0), (0,0,1), (0, 1, 1) */

/* puzzle 1 */
extern int *puzzle_1;

/* puzzle 2 */
extern int *puzzle_2;

#endif /* _PUZZLE_H_ */
